2019-01-16 17:22 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002092NetSurfRISC OS-specificpublic2016-02-16 14:33
ReporterRichard Porter 
Assigned To 
SeveritycrashReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version3.1 
Target VersionFixed in Version3.4 
Summary0002092: Illegal Instruction
DescriptionNS crashed when I clicked on a link in an email message in Messenger Pro.
An inbound FTP transfer was in progress at the time.
Steps To ReproduceClick on URL of problem page.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1749
URL of problem pagehttps://twitter.comLJRICH/status/443477034744827904
Attached Files

-Relationships
+Relationships

-Notes
Richard Porter

~0000269

Richard Porter (reporter)

Tried again later and got the expected error message due to missing slash in URL.
Vincent Sanders

~0000270

Vincent Sanders (administrator)

the attached zip is corrupt and the log will not open.
Richard Porter

~0000271

Richard Porter (reporter)

The log is fine on my RPC. I've uploaded it again with a modified name. Mantis won't let me upload a duplicate file unless I delete the original one first, but I can#t see any way to delete it.
Vincent Sanders

~0000272

Vincent Sanders (administrator)

uploading the same corrupt zip does not help me, please can you unpack the zip and re-create it.
Richard Porter

~0000273

Richard Porter (reporter)

The zip is not corrupt on my computer. However I have created and uploaded a fresh one which as far as I can see is identical. If it's getting corrupted then it's getting corrupted somewhere else.
Vincent Sanders

~0000285

Vincent Sanders (administrator)

it turned inside out, and exploded!

looks like libcss/src/parse/properties/border_style.c:css__parse_border_style() asploded 48 bytes (12 instructions) in

(45512.680000) javascript/jsapi.c js_newcontext 340: New Context 0x5f5e56e0
(45512.680000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x58435041
(45512.680000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x58436099
(45512.680000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x584381f1
(45512.690000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x58434ce1
(45512.700000) desktop/browser.c browser_window_navigate 1810: bw 0x5fb9ea48, url http://t.co/y9RJk15HMQ
(45512.700000) desktop/browser.c browser_window_navigate 1909: Loading 'http://t.co/y9RJk15HMQ'
(45512.700000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f77c1c8, url 'http://t.co/y9RJk15HMQ'
(45513.730000) content/fetchers/curl.c fetch_curl_done 871: done http://t.co/y9RJk15HMQ
(45513.730000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 301
(45513.730000) content/fetchers/curl.c fetch_curl_process_headers 1243: FETCH_REDIRECT, 'http://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45513.740000) content/fetchers/curl.c fetch_curl_abort 732: fetch 0x5f77c1c8, url 'http://t.co/y9RJk15HMQ'
(45513.740000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f8ac808, url 'http://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45513.740000) content/fetchers/curl.c fetch_curl_stop 753: fetch 0x5f77c1c8, url 'http://t.co/y9RJk15HMQ'
(45514.030000) content/fetchers/curl.c fetch_curl_done 871: done http://twitter.com/LJRICH/status/443477034744827904/photo/1
(45514.030000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 301
(45514.030000) content/fetchers/curl.c fetch_curl_process_headers 1243: FETCH_REDIRECT, 'https://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45514.030000) content/fetchers/curl.c fetch_curl_abort 732: fetch 0x5f8ac808, url 'http://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45514.030000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x60144098, url 'https://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45514.040000) content/fetchers/curl.c fetch_curl_stop 753: fetch 0x5f8ac808, url 'http://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45515.860000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 200
(45515.870000) content/content.c content__init 83: url https://twitter.com/LJRICH/status/443477034744827904/photo/1 -> 0x600fada8
(45515.880000) render/html_css.c html_css_new_stylesheets 547: 2 fetches active
(45515.880000) render/html_css.c html_css_new_stylesheets 561: 3 fetches active
(45515.880000) render/html_css.c html_css_new_stylesheets 574: 4 fetches active
(45515.880000) content/content.c content_add_user 601: content https://twitter.com/LJRICH/status/443477034744827904/photo/1 (0x600fada8), user 0x3a4d8 0x5f895940
(45515.910000) riscos/filetype.c fetch_filetype 85: unix_path = 'NetSurf:Resources.CSS'
(45515.910000) riscos/filetype.c fetch_filetype 94: riscos path 'NetSurf:Resources.CSS'
(45515.950000) render/html_css.c html_css_process_link 404: linked stylesheet 4 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_core.bundle.css'
(45515.950000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f676408, url 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_core.bundle.css'
(45515.960000) render/html_css.c html_css_process_link 438: 5 fetches active
(45515.960000) render/html_css.c html_css_process_link 404: linked stylesheet 5 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css'
(45515.960000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x6015c840, url 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css'
(45515.970000) render/html_css.c html_css_process_link 438: 6 fetches active
(45515.980000) desktop/browser.c browser_window_update_favicon 1065: fetching favicon rel:shortcut icon 'https://abs.twimg.com/favicons/favicon.ico'
(45515.980000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f73e168, url 'https://abs.twimg.com/favicons/favicon.ico'
(45515.990000) render/html_css.c html_css_process_link 404: linked stylesheet 6 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_more.bundle.css'
(45515.1000000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f5a1178, url 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_more.bundle.css'
(45515.1000000) render/html_css.c html_css_process_link 438: 7 fetches active
(45516.260000) content/content.c content__init 83: url file:///NetSurf:/Resources/CSS -> 0x5f9b0ea0
(45516.270000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/CSS (0x5f9b0ea0), user 0x3a4d8 0x5f6acf20
(45516.310000) content/content.c content_convert 283: content file:///NetSurf:/Resources/CSS (0x5f9b0ea0)
(45516.320000) render/html_css.c html_convert_css_callback 104: done stylesheet slot 0 'file:///NetSurf:/Resources/CSS'
(45516.320000) render/html_css.c html_convert_css_callback 106: 6 fetches active
(45516.350000) riscos/filetype.c fetch_filetype 85: unix_path = 'NetSurf:Resources.AdBlock'
(45516.350000) riscos/filetype.c fetch_filetype 94: riscos path 'NetSurf:Resources.AdBlock'
(45516.490000) content/fetchers/curl.c fetch_curl_done 871: done https://twitter.com/LJRICH/status/443477034744827904/photo/1
(45516.490000) content/fetchers/curl.c fetch_curl_stop 753: fetch 0x60144098, url 'https://twitter.com/LJRICH/status/443477034744827904/photo/1'
(45516.560000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x606fcf48, url 'https://pbs.twimg.com/profile_images/428210746392997888/Wq6haJW3_bigger.png'
(45516.630000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f967b60, url 'https://pbs.twimg.com/media/BieMA2cCYAAtznz.jpg'
(45516.670000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f7ac138, url 'https://pbs.twimg.com/profile_images/378800000821404920/8ffd8eade459ecba9dcdf2122dc821d9_normal.jpeg'
(45516.680000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5fcc4bd8, url 'https://pbs.twimg.com/profile_images/378800000564073588/64ec2788a32677b9047256d89aaeb1bb_normal.jpeg'
(45516.690000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x601db730, url 'https://pbs.twimg.com/profile_images/433131315454832640/CB72iVMj_normal.jpeg'
(45516.700000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f514f30, url 'https://pbs.twimg.com/profile_images/415580460626898944/Y8LeaCy7_normal.jpeg'
(45516.710000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f72cb20, url 'https://pbs.twimg.com/profile_images/1338919071/Photo_on_2011-05-04_at_20.10_normal.jpg'
(45516.710000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5fb369b0, url 'https://pbs.twimg.com/profile_images/427583995014942720/jk9A5Lee_normal.jpeg'
(45516.720000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x600304e0, url 'https://pbs.twimg.com/profile_images/1701761112/ScreenShot001_normal.jpg'
(45516.720000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x60031578, url 'https://pbs.twimg.com/profile_images/441239710162120704/o1owr8ml_normal.jpeg'
(45516.730000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f709c50, url 'https://pbs.twimg.com/profile_images/3377470385/32f9413a4eae1b3bcb59587f4edf1307_normal.jpeg'
(45516.860000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x60597a48, url 'https://pbs.twimg.com/profile_images/1657315778/IMG_0006_bigger.JPG'
(45516.940000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f861c28, url 'https://pbs.twimg.com/profile_images/2923366197/8c997b9a99a9e6974eb74b5d353e9b63_bigger.jpeg'
(45517.030000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f4ccea8, url 'https://pbs.twimg.com/profile_images/2422936082/46hobdt22l7tz7i5794z_bigger.jpeg'
(45517.130000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f612100, url 'https://pbs.twimg.com/profile_images/2891503506/aaf785962a7a41edd871a9b42d401a85_bigger.jpeg'
(45517.210000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f52ec00, url 'https://pbs.twimg.com/profile_images/1220057690/70758_1208240836_2786004_n_bigger.jpg'
(45517.290000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5fa278c0, url 'https://pbs.twimg.com/profile_images/99560538/Photo_1_bigger.jpg'
(45517.390000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f9f84f8, url 'https://pbs.twimg.com/profile_images/3531223381/d310fffc186f61021f4e72d2cbaa573f_bigger.jpeg'
(45517.550000) content/fetchers/curl.c fetch_curl_setup 382: fetch 0x5f61ebb8, url 'https://pbs.twimg.com/profile_images/293997160/Copy_of_Niagara_Falls_Apr_06_110_bigger.jpg'
(45518.100000) content/content.c content_convert 283: content https://twitter.com/LJRICH/status/443477034744827904/photo/1 (0x600fada8)
(45518.100000) render/html.c html_convert 1029: quirks set to 0
(45518.100000) render/html.c html_convert 1033: 5 fetches active
(45518.110000) content/content.c content__init 83: url file:///NetSurf:/Resources/AdBlock -> 0x60149838
(45518.110000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/AdBlock (0x60149838), user 0x3a4d8 0x5f8c1aa0
(45518.250000) content/content.c content_convert 283: content file:///NetSurf:/Resources/AdBlock (0x60149838)
(45518.260000) render/html_css.c html_convert_css_callback 104: done stylesheet slot 2 'file:///NetSurf:/Resources/AdBlock'
(45518.260000) render/html_css.c html_convert_css_callback 106: 4 fetches active
(45518.280000) render/html_css.c html_stylesheet_from_domnode 198: 5 fetches active
(45518.280000) render/html_css.c html_css_process_modified_style 275: Updating sheet 0x0 with 0x5f658c08
(45518.280000) render/html_css.c html_stylesheet_from_domnode 198: 6 fetches active
(45518.290000) render/html_css.c html_css_process_modified_style 275: Updating sheet 0x0 with 0x5f9db058
(45518.290000) render/html_css.c html_stylesheet_from_domnode 198: 7 fetches active
(45518.290000) render/html_css.c html_css_process_modified_style 275: Updating sheet 0x0 with 0x5fb026a8
(45524.150000) render/html_css.c html_convert_css_callback 112: stylesheet file:///Choices:WWW/NetSurf/User failed: UnacceptableType
(45524.150000) render/html_css.c html_convert_css_callback 116: 6 fetches active
(45524.150000) content/content.c content__init 83: url x-ns-css:75 -> 0x5fcbf828
(45524.150000) content/content.c content_add_user 601: content x-ns-css:75 (0x5fcbf828), user 0x3a4d8 0x5f658c08
(45524.160000) content/content.c content_convert 283: content x-ns-css:75 (0x5fcbf828)
(45524.160000) render/html_css.c html_convert_css_callback 104: done stylesheet slot 7 'x-ns-css:75'
(45524.160000) render/html_css.c html_convert_css_callback 106: 5 fetches active
(45525.110000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 200
(45525.150000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 200
(45525.150000) content/fetchers/curl.c fetch_curl_process_headers 1232: HTTP status code 200
(45525.210000) content/fetchers/curl.c fetch_curl_done 871: done https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css
(45525.210000) content/fetchers/curl.c fetch_curl_stop 753: fetch 0x6015c840, url 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css'
(45525.210000) content/fetchers/curl.c fetch_curl_done 871: done https://abs.twimg.com/favicons/favicon.ico
(45525.210000) content/fetchers/curl.c fetch_curl_stop 753: fetch 0x5f73e168, url 'https://abs.twimg.com/favicons/favicon.ico'
(45525.220000) content/content.c content__init 83: url https://abs.twimg.com/favicons/favicon.ico -> 0x60171698
(45525.220000) content/content.c content_add_user 601: content https://abs.twimg.com/favicons/favicon.ico (0x60171698), user 0x3a4d8 0x5fe72230
(45525.220000) content/content.c content__init 83: url https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css -> 0x60171900
(45525.230000) content/content.c content_add_user 601: content https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css (0x60171900), user 0x3a4d8 0x6015c7c0
(45525.450000) content/content.c content_convert 283: content https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css (0x60171900)
(45525.450000) render/html_css.c html_convert_css_callback 104: done stylesheet slot 5 'https://abs.twimg.com/a/1394610173/css/t1/rosetta_logged_out.bundle.css'
(45525.450000) render/html_css.c html_convert_css_callback 106: 4 fetches active
(45525.450000) content/content.c content__init 83: url https://abs.twimg.com/a/1394610173/css/t1/rosetta_core.bundle.css -> 0x6021c4b8
(45525.450000) content/content.c content_add_user 601: content https://abs.twimg.com/a/1394610173/css/t1/rosetta_core.bundle.css (0x6021c4b8), user 0x3a4d8 0x5f676308

  Register dump at 0061dfb4:

    a1: 0 a2: 2 a3: 60376e78 a4: 0
    v1: 5f6ae1a8 v2: 0 v3: 61cd2c v4: 61cd2c
    v5: 60379b10 v6: 5f6ae1a8 sl: 61c208 fp: 61cd20
    ip: 61cd24 sp: 61ccdc lr: 20317f44 pc: 60318204
    Mode USR, flags set: nZCvif

  003181f0 : \FF\FF\FF\FF : ffffffff : SWINV XUser ; *** Use of NV
  003181f4 : \FF\FF\FF\FF : ffffffff : SWINV XUser ; *** Use of NV
  003181f8 : \FF\FF\FF\FF : ffffffff : SWINV XUser ; *** Use of NV
  003181fc : \FF\FF\FF\FF : ffffffff : SWINV XUser ; *** Use of NV
  00318200 : \FF\FF\FF\FF : ffffffff : SWINV XUser ; *** Use of NV
  00318204 : .... : 00000001 : ANDEQ R0,R0,R1
  00318208 : \F4.1. : 00317ff4 : Undefined instruction
  0031820c : H\821. : 00318248 : EOREQS R8,R1,R8,ASR #4
  00318210 : .\821. : 0031821c : EOREQS R8,R1,R12,LSL R2


  ( 61cd20) pc: 317f14 lr: 2e56b8 sp: 61cd24 css__parse_border_style()
  ( 61cd64) pc: 2e544c lr: 2e583c sp: 61cd68 ^handleDeclaration()
  ( 61cdb0) pc: 2e57b0 lr: 2e2304 sp: 61cdb4 ^language_handle_event()
  ( 61cdcc) pc: 2e2298 lr: 2e316c sp: 61cdd0 ^parseDeclaration()
  ( 61cde8) pc: 2e3104 lr: 2e01e0 sp: 61cdec css__parser_parse_chunk()
  ( 61cdf8) pc: 2e01b4 lr: 471d8 sp: 61cdfc css_stylesheet_append_data()
  ( 61ce58) pc: 471c0 lr: 32848 sp: 61ce5c ^nscss_process_data()
  ( 61cec0) pc: 32728 lr: 3bd18 sp: 61cec4 ^content_llcache_callback()
  ( 61cef4) pc: 3bc20 lr: 3c674 sp: 61cef8 ^llcache_object_notify_users()
  ( 61cf0c) pc: 3c64c lr: 3ae48 sp: 61cf10 llcache_poll()
  ( 61cf1c) pc: 3ae3c lr: 61368 sp: 61cf20 hlcache_poll()
  ( 61cf38) pc: 61330 lr: bbea8 sp: 61cf3c netsurf_main_loop()
  ( 61cfe8) pc: bbc68 lr: 487940 sp: 61cfec main()
David Pitt

~0000784

David Pitt (reporter)

Last edited: 2015-03-16 16:59

View 2 revisions

The original URL is in error, it should be https://twitter.com/ljrich/status/443477034744827904

This is OK with #2652 if JavaScript is disabled, if enabled NetSurf goes onto a seemingly endless "Fetching, Fetching, Processing" loop, log file DJP_log/zip added.

Dave Higton

~0001020

Dave Higton (developer)

The cited URL renders OK with CI#3046, Iyonix, RISC OS 5.22, with Javascript on. It does take a while.

I suspect that David Pitt's report of 'a seemingly endless "Fetching, Fetching, Processing" loop' is another manifestation of the slow regex interpreter which was fixed recently.
Vincent Sanders

~0001262

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-03-12 23:05 Richard Porter New Issue
2014-03-12 23:05 Richard Porter File Added: nslog286.zip
2014-03-12 23:13 Richard Porter Note Added: 0000269
2014-03-14 10:24 Vincent Sanders Note Added: 0000270
2014-03-14 10:24 Vincent Sanders Status new => feedback
2014-03-14 10:24 Vincent Sanders Product Version => 3.1
2014-03-14 10:24 Vincent Sanders Description Updated View Revisions
2014-03-14 12:19 Richard Porter File Added: nslog286a.zip
2014-03-14 12:21 Richard Porter Note Added: 0000271
2014-03-14 12:21 Richard Porter Status feedback => new
2014-03-16 17:50 Vincent Sanders Note Added: 0000272
2014-03-16 17:50 Vincent Sanders Status new => feedback
2014-03-16 17:50 Vincent Sanders File Deleted: nslog286.zip
2014-03-16 17:50 Vincent Sanders File Deleted: nslog286a.zip
2014-03-16 18:34 Richard Porter File Added: nslog286b.zip
2014-03-16 18:38 Richard Porter Note Added: 0000273
2014-03-16 18:38 Richard Porter Status feedback => new
2014-03-17 16:12 Vincent Sanders Status new => acknowledged
2014-03-19 00:02 Vincent Sanders Note Added: 0000285
2015-03-16 16:49 David Pitt Note Added: 0000784
2015-03-16 16:57 David Pitt File Added: DJP_log.zip
2015-03-16 16:59 David Pitt Note Edited: 0000784 View Revisions
2015-11-02 22:35 Dave Higton Note Added: 0001020
2015-11-02 22:35 Dave Higton Status acknowledged => resolved
2015-11-02 22:35 Dave Higton Resolution open => fixed
2015-11-02 22:35 Dave Higton Fixed in Version => 3.4
2016-02-16 14:33 Vincent Sanders Note Added: 0001262
2016-02-16 14:33 Vincent Sanders Status resolved => closed
+Issue History